<?php

class formWidgetContentDatatablesOptions extends cmsForm{

    public function init($options=false) {
		
		$cats_list = array();
		$datasets_list = array('0'=>'');
		$fields_list = array(''=>'');
		
		if (!empty($options['ctype_id'])){
			$content_model = cmsCore::getModel('content');	
			$ctype = $content_model->getContentType($options['ctype_id']);
			$cats = $content_model->getCategoriesTree($ctype['name']);

			if ($cats){ 
				foreach($cats as $cat){
					if ($cat['ns_level'] > 1){
						$cat['title'] = str_repeat('-', $cat['ns_level']) . ' ' . $cat['title'];
					}
					$cats_list[$cat['id']] = $cat['title'];

				}
			}
			
			$datasets = $content_model->getContentDatasets($options['ctype_id']);			
			if ($datasets){ $datasets_list = array('0'=>'') + array_collection_to_list($datasets, 'id', 'title'); }
			
			$fields = $content_model->getContentFields($ctype['name']);
			if ($fields){ $fields_list = array(''=>'') + array_collection_to_list($fields, 'name', 'title'); }					
			
		}
		
        return array(
			
            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldList('options:ctype_id', array(
                        'title' => 'Тип контента',
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        },
                    )),
							
					new fieldList('options:category_id', array(
						'title' => 'Категория',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_cats_ajax')
						),
						'items' => $cats_list
					)),

                    new fieldList('options:dataset', array(
                        'title' => 'Применить фильтры из набора',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_datasets_ajax')
						),
						'items' => $datasets_list
                    )),

                    new fieldList('options:field_0', array(
                        'title' => '1. Поле изображения',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldList('options:field_1', array(
                        'title' => '2. Поле заголовка',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldList('options:field_2', array(
                        'title' => '3. Произвольное поле',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldList('options:field_3', array(
                        'title' => '4. Произвольное поле',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldCheckbox('options:field_4', array(
                       'title' =>  '5. Поле рейтинга',
                    )),

                    new fieldList('options:field_5', array(
                        'title' => '6. Поле автора',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldList('options:field_6', array(
                        'title' => '7. Поле даты',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldList('options:field_7', array(
                        'title' => '8. Произвольное поле',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),

                    new fieldList('options:field_8', array(
                        'title' => '9. Произвольное поле',
						'parent' => array(
							'list' => 'options:ctype_id',
							'url' => href_to('content', 'widget_fields_ajax')
						),
						'items' => $fields_list
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => 'Настойки',
                'childs' => array(

					new fieldList('options:sort', array(
						'title' => 'Сортировать столбец',
						'default' => 1,
						'items' => array(0 => '1', 1 => '2', 2 => '3', 3 => '4', 4 => '5', 5 => '6', 6 => '7', 7 => '8', 8 => '9'),
						'hint' => 'Столбец сортируемый по умолчанию.',
					)),
					
					new fieldList('options:limit', array(
						'title' => 'Показывать записей',
						'default' => 5,
						'items' => array(5 => '5', 10 => '10', 25 => '25', 50 => '50', 100 => '100'),
						'hint' => 'Количество видимых записей.',
					)),

                    new fieldCheckbox('options:tfoot', array(
                       'title' =>  'Дублировать заголовки внизу таблицы',
                    )),

                    new fieldCheckbox('options:nprogress', array(
                       'title' =>  'Показывать значение рейтинга',
                    )),

                )
            ),

        );

    }

}