<?php

class widgetContentDatatables extends cmsWidget {
	
	public function run(){

        $ctype_id = $this->getOption('ctype_id');
        $cat_id = $this->getOption('category_id');
        $dataset_id = $this->getOption('dataset');
        $field_0 = $this->getOption('field_0');
        $field_1 = $this->getOption('field_1');
        $field_2 = $this->getOption('field_2');
        $field_3 = $this->getOption('field_3');
        $field_4 = $this->getOption('field_4');
        $field_5 = $this->getOption('field_5');
        $field_6 = $this->getOption('field_6');
        $field_7 = $this->getOption('field_7');
        $field_8 = $this->getOption('field_8');
        $sort = $this->getOption('sort');
        $limit = $this->getOption('limit');
        $tfoot = $this->getOption('tfoot');
        $nprogress = $this->getOption('nprogress');

        $model = cmsCore::getModel('content');

        $ctype = $model->getContentType($ctype_id);
		$fields = $model->getContentFields($ctype['name']);
		
        if (!$ctype) { return false; }
		
		if ($cat_id){
			$category = $model->getCategory($ctype['name'], $cat_id);			
		} else { 
			$category = false;
		}

        if ($dataset_id){

            $dataset = $model->getContentDataset($dataset_id);

            if ($dataset){
                $model->applyDatasetFilters($dataset);
            } else {
                $dataset_id = false;
            }

        }

		if ($category){
			$model->filterCategory($ctype['name'], $category, true);
		}
		
        if (!$dataset_id){
            $model->orderBy('date_pub', 'desc');
        }

        // Отключаем фильтр приватности для тех кому это разрешено
        if (cmsUser::isAllowed($ctype['name'], 'view_all')) {
            $model->disablePrivacyFilter();
        }

        // Скрываем записи из скрытых родителей (приватных групп и т.п.)
        $model->filterHiddenParents();

        $items = $model->getContentItems($ctype['name']);

        if (!$items) { return false; }

		$max = 0;
		foreach($items as $item) {
			if($item['rating'] > $max) $max = $item['rating'];
		}

        return array(
            'ctype' => $ctype,
            'fields' => $fields,
            'items' => $items,
            'thead' => array($field_0,$field_1,$field_2,$field_3,$field_4,$field_5,$field_6,$field_7,$field_8,),
            'max' => $max,
            'sort' => $sort,
            'limit' => $limit,
			'tfoot' => $tfoot,
			'nprogress' => $nprogress,
        );

    }

}