<?php
	if ($items){
		$this->addCSS("templates/default/css/jquery.dataTables.min.css");
		$this->addJS("templates/default/js/jquery.dataTables.min.js");
?>

<style type="text/css">
	.dataTables_wrapper select{
		max-width: 50px;
	}
	.progress {
		position: relative;
		height: 20px;

		overflow: hidden;
		text-align: center;
		line-height: 20px;
		font-size: 12px;
		color: #fff;
		text-shadow: 1px 1px 2px #000;
		background-color: #f5f5f5;
		border-radius: 4px;
		-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .1);
		box-shadow: inset 0 1px 2px rgba(0, 0, 0, .1);
	}
	.progress span{
		position: absolute;
		width: 100%;
		left: 0;
		top: 0;
	}
	.progress-bar {
		float: left;
		width: 0;
		height: 100%;
		background-color: #337ab7;
		-webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .15);
		box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .15);
		-webkit-transition: width .6s ease;
		-o-transition: width .6s ease;
		transition: width .6s ease;
	}
</style>

<table id="example" class="display" cellspacing="0" width="100%" data-order='[[<?php echo $sort; ?>, "desc" ]]' data-page-length="<?php echo $limit; ?>">
    <thead>
        <tr>
			<?php foreach($thead as $num=>$th) { ?>
				<?php if ($th) { ?>
					<?php if ($num == 0) { ?><th data-orderable="false"><?php } else { ?><th><?php } ?>
						<?php if ($num == 4) { echo "Рейтинг&nbsp;"; } else { echo $fields[$th]['title']."&nbsp;"; } ?>
					</th>
				<?php } ?>
			<?php } ?>
        </tr>
    </thead>

	<?php if ($tfoot) { ?>
    <tfoot>
        <tr>
			<?php foreach($thead as $num=>$th) { ?>
				<?php if ($th) { ?>
					<th>
						<?php if ($num == 4) { echo "Рейтинг&nbsp;"; } else { echo $fields[$th]['title']."&nbsp;"; } ?>
					</th>
				<?php } ?>
			<?php } ?>
        </tr>
    </tfoot>
	<?php } ?>
 
    <tbody>
		<?php foreach($items as $item){ ?>
			<tr>
			<?php foreach($thead as $num=>$th) { ?>
				<?php $url = href_to($ctype['name'], $item['slug']) . '.html'; ?>
				<?php if ($th) { ?>
					<?php if ($num == 0) { ?><td><?php echo html_image($item[$th]); ?></td><?php } ?>
					<?php if ($num == 1) { ?><td><a href="<?php echo $url; ?>"><?php echo html($item[$th]); ?></a></td><?php } ?>
					<?php if ($num == 2) { ?><td><?php echo html($item[$th]); ?></td><?php } ?>
					<?php if ($num == 3) { ?><td><?php echo html($item[$th]); ?></td><?php } ?>
					<?php if ($num == 4) { ?><td data-order="<?php echo $item['rating']; ?>">
						<div class="progress">
							<div class="progress-bar" role="progressbar" aria-valuenow="<?php echo $item['rating']; ?>" aria-valuemin="0" aria-valuemax="<?php echo $max; ?>" style="width:<?php echo 100/$max*$item['rating']; ?>%;"></div>
							<?php if ($nprogress) { ?><span><?php echo html($item['rating']); ?></span><?php } ?>
						</div>
					</td><?php } ?>
					<?php if ($num == 5) { ?><td><?php echo $fields[$th]['handler']->parse( $item[$th] ); ?></td><?php } ?>
					<?php if ($num == 6) { ?><td><?php echo $fields[$th]['handler']->parse( $item[$th] ); ?></td><?php } ?>
					<?php if ($num == 7) { ?><td><?php echo html($item[$th]); ?></td><?php } ?>
					<?php if ($num == 8) { ?><td><?php echo html($item[$th]); ?></td><?php } ?>
				<?php } ?>
			<?php } ?>
			</tr>
		<?php } ?>
    </tbody>
</table>

<script type="text/javascript">
	$(document).ready(function() {
		$('#example').dataTable( {
			"language": {oPaginate:{sFirst:"Первая",sLast:"Последняя",sNext:"Вперед",sPrevious:"Назад"},sEmptyTable:"Данные отсутствуют в таблице",sInfo:"Показано от _START_ до _END_ из _TOTAL_",sInfoEmpty:"Показано от 0 до 0 из 0",sInfoFiltered:"(отфильтровано от _MAX_ всего записей)",sInfoPostFix:"",sDecimal:"",sThousands:",",sLengthMenu:"Показывать _MENU_",sLoadingRecords:"Загрузка...",sProcessing:"Обработка...",sSearch:"Поиск: ",sUrl:"",sZeroRecords:"Не найдено ни одной записи"}
		} );;
	} );
</script>

<?php } ?>